------ All content © 2008 DigiPen (USA) Corporation, all rights reserved. ------
-- Author: Hamza M. Hutchinson
-- Updated: 02/03/2009

--------------------------------------------------------------------------------
-- The shit that makes the game run (fun)

Global:CreateLantern( "../../Assets/Xml/entities/game_Lantern.xml" )

Global:CreateAster( "../../Assets/Xml/entities/game_Aster.xml" )

Global:CreateEntity( "../../Assets/Xml/entities/e_TestSky.xml" )

Global:CreateEntity( "../../Assets/Xml/entities/game_PauseMenu.xml" )

Global:CreateEntity( "../../Assets/Xml/entities/game_LetterboxMan.xml" )

Global:CreateEntity( "../../Assets/Xml/entities/game_SplashScreen.xml" )
--Global.SetFade( 0.0 ) -- you'll want to call this if you disable intro sequence

--------------------------------------------------------------------------------
-- The islands

--[[
Global:RuinifyIsland("../../Assets/Models/Shelf00.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf03.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf04.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf01.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf06.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf02.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf05.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf07.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf10.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf09.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf08.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf12.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf13.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf14.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf15.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf16.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf17.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf18.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf19.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf20.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf21.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf22.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf23.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf24.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf25.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf26.BIN")
Global:RuinifyIsland("../../Assets/Models/Shelf27.BIN")
Global:RuinifyIsland("../../Assets/Models/umbrella_in.BIN")
Global:RuinifyIsland("../../Assets/Models/umbrella_out.BIN")
Global:RuinifyIsland("../../Assets/Models/umbrella_mid.BIN")
Global:RuinifyIsland("../../Assets/Models/umbrella_tear.BIN")
--]]

Global:RegisterWithArea( "../../Assets/Xml/islands/Island2.xml", 1 )               -- Moon
Global:RegisterWithArea( "../../Assets/Xml/islands/Island2.xml", 2 )               -- Moon
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Shelves.xml", 1 )        -- Ring ruins
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Waterfall_Topa.xml", 1 ) -- Top of waterfalls
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Upward.xml", 2 )         -- Most of 2nd area
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Tangle.xml", 2 )         -- Twisted islands
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Broken_Pieces.xml", 2 )  -- Parts
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_RingsAndHooks.xml", 2 )  -- Rings, they move
Global:RegisterWithArea( "../../Assets/Xml/islands/Island_Finale.xml", 2 )         -- Last island, lots of moving
--Global:CreateEntity( "../../Assets/Xml/entities/e_SplashDSM.xml" )        -- logo

Global:PlayMusic2D( "../../Assets/Sounds/wind.mp3" )
Global:AreaMsg( 1 )	     
